Skip to content

ReceiptResource - BuildFromLocator
deprecated

Request

Process all unprocessed offers and create ticket receipts

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Query
viewstring, <= 32 characters

The view. Either detail or summary

Example:view=detail
ReservationLocatorstring, <= 16 characters([A-Z0-9]+)?

The Reservation confirmation locator

Example:ReservationLocator=ABC123
Issuancestring

The type of fulfillment required after document issuance

Enum:"Ticket""BackOffice""All""Invoice"
Example:Issuance=All
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X POST \
  'https://api.pp.travelport.net/11/air/receipt/reservations/49f58f5f-c443-43b4-9f5d-be405fd00a01/receipts/buildfromlocator?view=detail&ReservationLocator=ABC123&Issuance=All' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
ReceiptListResponseobject(ReceiptListResponse)

The response of an ReceiptList endpoint request.

Response
{ "ReceiptListResponse": { "ReceiptID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }